All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.tableview
Interface HttpRelationalActionTypeKeysInterface

All Superinterfaces:
  RelationalActionTypeKeysInterface

All Known Implementing Classes:
  HttpRelationalActionStrategyFactory, HttpRemoteFileActionStrategyFactory, HttpRemoteFileSelectorTableViewSupport, HttpTableViewSupport

    public interface HttpRelationalActionTypeKeysInterface

extends RelationalActionTypeKeysInterface

Field Summary
`static java.lang.String` | `CANCEL_ACTION` The actionType key used to define the cancel action when editing is enabled.
`static java.lang.String` | `CLEAR_SORT_EDIT_ENABLED_ACTION` The actionType key used to define the action which clear a sort when editing is enabled.
`static java.lang.String` | `COLUMN_HEADER_ACTION` The actionType key used to define the column header's label actions.
`static java.lang.String` | `COMMIT_ACTION` The actionType key used to define the commit action when editing is enabled.
`static java.lang.String` | `COMMIT_DELETE_ACTION` The actionType key used to define the Commit action when singleRowEditing is disabled.
`static java.lang.String` | `DELETE_ACTION` The actionType key used to define the delete action when editing is enabled.
`static java.lang.String` | `INSERT_ACTION` The actionType key used to define the insert action when editing is enabled.
`static java.lang.String` | `MOVE_COLUMN_LEFT_EDIT_ENABLED_ACTION` The actionType key used to define the action which moves a left order when editing is enabled.
`static java.lang.String` | `MOVE_COLUMN_RIGHT_EDIT_ENABLED_ACTION` The actionType key used to define the action which moves a right order when editing is enabled.
`static java.lang.String` | `RESIZE_COLUMN_ACTION` The actionType key used to define the Resize Column actions.
`static java.lang.String` | `SORT_COLUMN_ASCENDING_EDIT_ENABLED_ACTION` The actionType key used to define the action which sort a column in ascending order when editing is enabled.
`static java.lang.String` | `SORT_COLUMN_DESCENDING_EDIT_ENABLED_ACTION` The actionType key used to define the action which sort a column in descending order when editing is enabled.
`static java.lang.String` | `UPDATE_ACTION` The actionType key used to define the update action when editing is enabled.

Fields inherited from interface com.sas.actionprovider.support.tableview.RelationalActionTypeKeysInterface
`CALCULATED_ITEM_SELECTOR_ACTION, CLEAR_SORT_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_SELECTOR_ACTION, FORMAT_SELECTOR_ACTION, MOVE_COLUMN_LEFT_ACTION, MOVE_COLUMN_RIGHT_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, QUERY_SELECTOR_ACTION, RANKING_SELECTOR_ACTION, SORT_COLUMN_ASCENDING_ACTION, SORT_COLUMN_DESCENDING_ACTION, SORT_SELECTOR_ACTION, TOTALS_SELECTOR_ACTION`

Field Detail

### INSERT_ACTION

    static final java.lang.String INSERT_ACTION

  The actionType key used to define the insert action when editing is enabled.

  See Also:
    Constant Field Values

### DELETE_ACTION

    static final java.lang.String DELETE_ACTION

  The actionType key used to define the delete action when editing is enabled.

  See Also:
    Constant Field Values

### COMMIT_ACTION

    static final java.lang.String COMMIT_ACTION

  The actionType key used to define the commit action when editing is enabled.

  See Also:
    Constant Field Values

### CANCEL_ACTION

    static final java.lang.String CANCEL_ACTION

  The actionType key used to define the cancel action when editing is enabled.

  See Also:
    Constant Field Values

### UPDATE_ACTION

    static final java.lang.String UPDATE_ACTION

  The actionType key used to define the update action when editing is enabled.

  See Also:
    Constant Field Values

### COMMIT_DELETE_ACTION

    static final java.lang.String COMMIT_DELETE_ACTION

  The actionType key used to define the Commit action when singleRowEditing is disabled.

  See Also:
    `com.sas.servlet.tbeans.tableview.HttpEditController.setSingleRowEditingEnabled`, Constant Field Values

### CLEAR_SORT_EDIT_ENABLED_ACTION

    static final java.lang.String CLEAR_SORT_EDIT_ENABLED_ACTION

  The actionType key used to define the action which clear a sort when editing is enabled.

  See Also:
    Constant Field Values

### SORT_COLUMN_ASCENDING_EDIT_ENABLED_ACTION

    static final java.lang.String SORT_COLUMN_ASCENDING_EDIT_ENABLED_ACTION

  The actionType key used to define the action which sort a column in ascending order when editing is enabled.

  See Also:
    Constant Field Values

### SORT_COLUMN_DESCENDING_EDIT_ENABLED_ACTION

    static final java.lang.String SORT_COLUMN_DESCENDING_EDIT_ENABLED_ACTION

  The actionType key used to define the action which sort a column in descending order when editing is enabled.

  See Also:
    Constant Field Values

### MOVE_COLUMN_LEFT_EDIT_ENABLED_ACTION

    static final java.lang.String MOVE_COLUMN_LEFT_EDIT_ENABLED_ACTION

  The actionType key used to define the action which moves a left order when editing is enabled.

  See Also:
    Constant Field Values

### MOVE_COLUMN_RIGHT_EDIT_ENABLED_ACTION

    static final java.lang.String MOVE_COLUMN_RIGHT_EDIT_ENABLED_ACTION

  The actionType key used to define the action which moves a right order when editing is enabled.

  See Also:
    Constant Field Values

### COLUMN_HEADER_ACTION

    static final java.lang.String COLUMN_HEADER_ACTION

  The actionType key used to define the column header's label actions.

  See Also:
    Constant Field Values

### RESIZE_COLUMN_ACTION

    static final java.lang.String RESIZE_COLUMN_ACTION

  The actionType key used to define the Resize Column actions.

  See Also:
    Constant Field Values

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.